Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617699 - ext4 and xfs wrong data returned on read after write if file size was changed with ftruncate
ext4 and xfs wrong data returned on read after write if file size was changed...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 14:53 EDT by Chris Brown
Modified: 2010-08-30 14:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.34.6-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 16165 None None None Never

  None (edit)
Description Chris Brown 2010-07-23 14:53:19 EDT
from: https://bugzilla.kernel.org/show_bug.cgi?id=16165 [^]

> we use the direct async I/O API for file I/O in VirtualBox since 3.2 and got
> some reports about corrupted guest filesystems. It turned out that only users
> are affected which disk images are stored on a ext4 filesystem. I could create
> a testcase which reproduces the error. Further investigation showed that the
> data corruption happens if ftruncate is used, data is written to the so far
> unallocated offset and immediately read back. The buffer holding the read data
> contains only \0 afterwards. The data is there if the file is closed and
> another program is used to view the file content (less for example). 
> Everything works if ftruncate is not used.

The test case is in the original bug report, which includes patches
for ext4 and xfs.

Reproducible: Always  
Additional Information  This bug is preventing the usage of ext4 and xfs based filesystems with any
software which uses aio and ftruncate. VirtualBox is is rendered unuseable with
ext4 and XFS filesystems as a result of this bug.
Comment 1 Chuck Ebbert 2010-08-03 22:07:38 EDT
Still not fixed in 2.6.35
Comment 3 Chuck Ebbert 2010-08-04 10:51:51 EDT
Should be fixed in 2.6.34.2-33.fc13
Comment 4 Chuck Ebbert 2010-08-06 15:37:05 EDT
Patches also went in 2.6.35-3.fc14
Comment 5 Fedora Update System 2010-08-07 01:00:38 EDT
kernel-2.6.34.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 6 Fedora Update System 2010-08-07 19:28:33 EDT
kernel-2.6.34.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 7 Fedora Update System 2010-08-10 19:53:39 EDT
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 8 Fedora Update System 2010-08-11 03:25:59 EDT
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 9 Chuck Ebbert 2010-08-18 05:41:32 EDT
2.6.34 update kernel has been removed.
Comment 10 Fedora Update System 2010-08-27 07:23:24 EDT
kernel-2.6.34.6-47.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-47.fc13
Comment 11 Fedora Update System 2010-08-30 14:22:10 EDT
kernel-2.6.34.6-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.